#ifndef ELEVIDEO_H
#define ELEVIDEO_H
#include <QGraphicsView>
#include <QMediaPlayer>

class EleVideo : public QGraphicsView {
    Q_OBJECT
public:
    explicit EleVideo(QString path, int, int, QWidget *parent = nullptr);
    QMediaPlayer *player = nullptr;
protected:
    void showEvent(QShowEvent *event) override;
    void hideEvent(QHideEvent *event) override;
};

#endif // ELEVIDEO_H
